# Configuration Options

A number of configuration options can affect the load process. This is a quick list of them:

- `autoload_dynamic_modules` (`Minion`)

- `cython_enable` (`Minion`, `Master`)

- `disable_modules` (`Minion`)

- `disable_returners` (`Minion`)

- `enable_zip_modules` (`Minion`)

- `extension_modules` (`Master`)

- `extmod_whitelist` (`Minion`, `Master`)

- `extmod_blacklist` (`Minion`, `Master`)

- `whitelist_modules` (`Minion`)

- `grains_dirs` (`Minion`)

- `module_dirs` (`Minion`, `Master`)

- `outputter_dirs` (`Minion`, `Master`)

- `providers` (`Minion`)

- `render_dirs` (`Minion`)

- `returner_dirs` (`Minion`)

- `runner_dirs` (`Master`)

- `states_dirs` (`Minion`)

- `utils_dirs` (`Minion`)